Subject: Re: draft-ietf-secsh-filexfer Change to rename op in version 5

From: Joseph Galbraith <[email-masked]>
Date: Mon, 22 Aug 2005 09:29:25 -0600

Joseph Galbraith wrote:
> Sara Golemon wrote:
>> I got tripped up by some vague wording in the changelog covering 
>> differences
>> between version 4 and version 5, specifically:
>>
>>  o  Add support for better control of the rename operation.
>>
>>
>> After looking through implementation sources, I found that this refers to
>> the addition of the flags parameter to FXP_RENAME.
>>
>>        byte   SSH_FXP_RENAME
>>        uint32 request-id
>>        string oldpath [UTF-8]
>>        string newpath [UTF-8]
>>        uint32 flags
>>
>> To avoid others being confused by this I'd like to propose a change to 
>> the
>> changelog entry's wording:
>>
>>  o  Add flags parameter to the rename operation to control rename 
>> behavior.
> 
> I'll make this change...

I've now made this change-- expect a new document shortly.

Thanks,

Joseph